package com.pablotj.ia.chat.boot.domain.port;

import com.pablotj.ia.chat.boot.domain.model.ChatIdentity;
import com.pablotj.ia.chat.boot.domain.model.ChatMessage;
import java.util.List;

public interface ChatMessageStore {
    List<ChatIdentity> getChats();

    List<ChatMessage> getMessages(String chatId);
    void saveMessages(String sessionId, List<ChatMessage> messages);
}
